﻿@model HOD.Models.BillingBaseModel
@{
    ViewBag.Title = "Billing Activate";
}

@{
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}

@{
    
    string RootDirectory = ViewBag.RootUrl;
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";
    
    string address = Model.BillingAddress + ", " + Model.BillingCity + ", " + Model.BillingProvince;       

    HOD.Models.UserProfile agentDetails;
    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;
    bool isAgentDataLoaded = false;
    
    HOD.Data.Entities.AgentInformation agentData;
    
    if (Session["AGENTID"] != null){        
        agentId = int.Parse(Session["AGENTID"].ToString());
    } else {
        agentId = Model.AgentID;
    }
    
    using (HOD.Models.UsersContext db = new HOD.Models.UsersContext())
    {                                    
            agentDetails =(HOD.Models.UserProfile) db.UserProfiles.Where(x => x.AgentId == agentId).FirstOrDefault(); 
    }         

    
  using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext()){

            agentData =   dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();

            if (agentData != null){      
                
                isAgentDataLoaded = true;
                
                if (agentData.MainWebsitePhoto != null){
                    logoImage = ImageDirectory + agentData.MainWebsitePhoto;
                }
      
                agentPhoto = ImageDirectory + agentData.ProfilePhoto;
                background = ImageDirectory + agentData.BackgroundPhoto;                                
                businessName = agentData.BusinessName;
                phone1 = agentData.Phone1;
                phone2 = agentData.Phone2;
                province = agentData.Province;
                postalCode = agentData.PostalCode;
                agentAddress = agentData.BusinessAddress;
                agentUrl = agentData.AgentUrl;
                 }
            }
            
         }

@{
    
    //User is signing up as an Agent
    var userType = (string)TempData["UserType"];

    if (!isAgentDataLoaded){
        background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
        logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";                    
    }
}


    <script type="text/javascript">
        var $body = $('body');

        $body.css('backgroundImage', 'url("@background")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@logoImage ');
    </script>




@section head{

    <script type="text/javascript">

        $(document).on('invalid-form.validate', 'form', function () {
            var button = $(this).find('input[type="submit"]');
            setTimeout(function () {
                button.removeAttr('disabled');
            }, 1);
        });

        $(document).on('submit', 'form', function () {
            var button = $(this).find('input[type="submit"]');
            setTimeout(function () {
                button.attr('disabled', 'disabled');
            }, 0);
        });

        $.validator.unobtrusive.adapters.addBool("mandatory", "required");

        $(document).ready(function () {

            $('#packageSelection').change(function () {


                var packagePrice = $('#packageSelection').val();
                var priceDisplay;

                if (packagePrice.toUpperCase() == 'GOLD') {
                    priceDisplay = "$249.95";
                }

                if (packagePrice.toUpperCase() == 'SILVER') {
                    priceDisplay = "$99.95";
                }

                if (packagePrice.toUpperCase() == 'BRONZE') {
                    priceDisplay = "$49.95";
                }

                $('#packagePrice').html("<b style='color:green;'>Total: " + priceDisplay);
            });

            $('[name=Package]').val("Gold").trigger('change')
            
            $('#copybillingaddress').change(function () {
                var firstnameVal = $("#firstname").val();
                var lastnameVal = $("#lastname").val();
                var addressVal = $("#address").val();
                var cityVal = $("#city").val();
                var provinceVal = $("#province").val();
                var postalcodeVal = $("#postalcode").val();

                if (this.checked) {
                    $("#billingname").val(firstnameVal + " " + lastnameVal);

                    $("#billingaddress").val(addressVal);
                    $("#billingcity").val(cityVal);
                    $("#billingprovince").val(provinceVal);
                    $("#billingpostalcode").val(postalcodeVal);
                }
                else {
                    $("#billingname").val($("#billingname").val());
                    $("#billingaddress").val($("#billingaddress").val());
                    $("#billingcity").val($("#billingcity").val());
                    $("#billingprovince").val($("#billingprovince").val());
                    $("#billingpostalcode").val($("#billingpostalcode").val());
                }
            });
        });

        $(document).ready(function () {

            $('#firstname').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingname").val($("#firstname").val() + " " + $("#lastname").val());
                }
            });

            $('#lastname').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingname").val($("#firstname").val() + " " + $("#lastname").val());
                }
            });

            $('#address').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingaddress").val($("#address").val());
                }
            });

            $('#city').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingcity").val($("#city").val());
                }
            });

            $('#province').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingprovince").val($("#province").val());
                }
            });

            $('#postalcode').change(function () {
                if ($("#copybillingaddress").prop('checked') == true) {
                    $("#billingpostalcode").val($("#postalcode").val());
                }
            });

        });

        $(document).ready(function () {

            $("#PrivacyBronze").prop('checked', false);
            $("#LawnSignBronze").prop('checked', false);
            $("#DurableBronze").prop('checked', false);
            $("#AdAgentBronze").prop('checked', false);
            $("#AssistantBronze").prop('checked', false);

            $("#DurableSilver").prop('checked', false);
            $("#AdAgentSilver").prop('checked', false);
            $("#AssistantSilver").prop('checked', false);

            $("#AgentChkBox").prop('checked', true);

            var total = parseFloat("00.00");

            var initialPackageName = $('#packageSelection').val();

            if (initialPackageName == "") {
                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                $("#tr_AgentChkBox").hide();
                $("#tr_AgentURL").hide();

                total = parseFloat("00.00");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Gold") {
                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                total = parseFloat("19.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Bronze") {
                $("#tr_PrivacyBronze").show();
                $("#tr_LawnSignBronze").show();
                $("#tr_DurableBronze").show();
                $("#tr_AdAgentBronze").show();
                $("#tr_AssistantBronze").show();

                $("#tr_DurableSilver").hide();
                $("#tr_AdAgentSilver").hide();
                $("#tr_AssistantSilver").hide();

                total = parseFloat("49.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Silver") {
                $("#tr_DurableSilver").show();
                $("#tr_AdAgentSilver").show();
                $("#tr_AssistantSilver").show();

                $("#tr_DurableBronze").hide();
                $("#tr_AdAgentBronze").hide();
                $("#tr_AssistantBronze").hide();
                $("#tr_PrivacyBronze").hide();
                $("#tr_LawnSignBronze").hide();

                total = parseFloat("299.95");
                $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }
            else if (initialPackageName == "Agent") {
                $("#tr_AgentChkBox").show();
                $("#tr_AdAgentSilver").show();
                $("#tr_AgentURL").show();

                total = parseFloat("19.95");
                $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
            }

            $('#packageSelection').change(function () {

                var packageName = $(this).val();

                if (packageName == "Bronze") {
                    $("#tr_PrivacyBronze").show();
                    $("#tr_LawnSignBronze").show();
                    $("#tr_DurableBronze").show();
                    $("#tr_AdAgentBronze").show();
                    $("#tr_AssistantBronze").show();

                    $("#PrivacyBronze").prop('checked', false);
                    $("#LawnSignBronze").prop('checked', false);
                    $("#DurableBronze").prop('checked', false);
                    $("#AdAgentBronze").prop('checked', false);
                    $("#AssistantBronze").prop('checked', false);

                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    total = parseFloat("49.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Silver") {
                    $("#tr_DurableSilver").show();
                    $("#tr_AdAgentSilver").show();
                    $("#tr_AssistantSilver").show();

                    $("#DurableSilver").prop('checked', false);
                    $("#AdAgentSilver").prop('checked', false);
                    $("#AssistantSilver").prop('checked', false);

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    total = parseFloat("299.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Gold") {
                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    total = parseFloat("19.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else if (packageName == "Agent") {
                    $("#tr_AgentChkBox").show();
                    $("#tr_AdAgentSilver").show();
                    $("#tr_AgentURL").show();

                    total = parseFloat("19.95");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                }
                else {
                    $("#tr_DurableSilver").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AssistantSilver").hide();

                    $("#tr_DurableBronze").hide();
                    $("#tr_AdAgentBronze").hide();
                    $("#tr_AssistantBronze").hide();
                    $("#tr_PrivacyBronze").hide();
                    $("#tr_LawnSignBronze").hide();

                    $("#tr_AgentChkBox").hide();
                    $("#tr_AdAgentSilver").hide();
                    $("#tr_AgentURL").hide();

                    total = parseFloat("00.00");
                    $("#td_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#td_Agent_Total").html("<b style='color:green;'>Total: $" + total.toFixed(2) + "</b>");
                    $("#pricePh").hide();
                }
            });

        });

        $(document).ready(function(){

        });

    </script>

}


<div class="details_holder">
    <div class="panel panel-default" style="border:none">
        <div class="panel-heading" align="left">Activate Your Account</div>
        <div class="panel-body" style="background-color: #ffffff;">
            @using (Html.BeginForm("BillingSave", "Billing", FormMethod.Post, new Dictionary<string, object> { { "id", "payment-form" }, { "enctype", "multipart/form-data" }, { "class", "form-horizontal" } }))
            {
    
                @Html.AntiForgeryToken()
                @Html.ValidationSummary()

                @Html.HiddenFor(m => m.UserType)
                @Html.Hidden("redirectUrl", ViewData["redirectUrl"])
                @Html.HiddenFor(m=>m.AgentID,agentId)

                @Html.HiddenFor(m => m.FirstName)
                @Html.HiddenFor(m => m.LastName)
                @Html.HiddenFor(m => m.UserName)
                @Html.HiddenFor(m => m.UserType)
            
                <div class="form-group">
                    <fieldset class="">
                        <div class="panel panel-primary">
                            <div class="panel-heading" align="left">Account Information - all fields are required </div>
                            <div class="panel-body">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-md-2"></div>
                                        <div class="col-md-2">
                                              @Html.LabelFor(m => m.UserName, "Email Address", new { @class = "control-label", @placeholder = "Email Address" })
                                        </div>
                                        <div class="col-md-4">
                                           @Model.UserName
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-md-2">
                                           
                                        </div>

                                    <div class="col-md-2">
                                         <b>Upgrade to Package</b>
                                    </div>
                                    <div class="col-md-2" style="vertical-align:central;">
                                        @Html.DropDownListFor(m => m.Package, new SelectList(
                                            new List<Object>{
                                            new { value="Gold", text = "PRO TEAM"},
                                            new { value="Silver", text = "BRANDED PRO"},
                                            new { value="Bronze", text = "BRANDED"},                                            
                                        },
                                        "value",
                                        "text",
                                        "Gold"), new { @class = "form-control", @id = "packageSelection"})
                                    </div>
                                    <div class="col-md-2">
                                        <span id="packagePrice"></span>
                                        </div>

                            </div>
                        </div>

                        <div class="panel panel-primary">
                            <div class="panel-heading" align="left">
                                <div>
                                    Billing Information
                                </div>
                            </div>
                            <div class="panel-body">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.BillingName, "Billing Name", new { @class = "col-sm-3 control-label", @placeholder = "Billing Name" })
                                    <div class="col-sm-4">
                                        @Html.TextBoxFor(m => m.BillingName, new { @class = "form-control", @placeholder = "Billing Name", id = "billingname", @maxlength = "120" })
                                    </div>
                                    <div class="col-sm-4" style="margin-top: 9px;">
                                        @Html.ValidationMessageFor(m => m.BillingName)
                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.BillingAddress, "Billing Address ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextAreaFor(m => m.BillingAddress, new { @class = "form-control", @placeholder = "Billing Address", id = "billingaddress", @rows = "3", @maxlength = "200" })
                                        &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingAddress)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.LabelFor(m => m.BillingCity, "Billing City ", new { @class = "col-sm-3 control-label" })
                                    </div>
                                    <div class="col-sm-3" align="left">
                                        @Html.TextBoxFor(m => m.BillingCity, new { @class = "form-control", @placeholder = "Billing City", id = "billingcity", @maxlength = "56" })
                                        &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingCity)
                                    </div>
                                    <div class="col-sm-4">
                                    </div>
                                </div>
                                <div class="form-group">
                                    @Html.Label("Billing Province ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">

                                        @Html.DropDownListFor(m => m.BillingProvince, new SelectList(
                                                      new List<Object>{ 
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },    
                                                    new { value="", text = "CANADIAN PROVINCES" },                                                         
                                                    new { value="", text = "-----------------" },                                                                                                         
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },     
                                                    new { value="", text = "US STATES" },      
                                                    new { value="", text = "-----------------" },                                                                                                                                                    
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}                                                    
                                                    
                                                    },
                                                  "value",
                                                  "text",
                                                       2), new { @class = "form-control", @placeholder = "Billing Province", id = "billingprovince" })
                                        &nbsp;
                                            @Html.ValidationMessageFor(m => m.BillingProvince)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.LabelFor(m => m.BillingPostalCode, "Billing Postal Code ", new { @class = "col-sm-2 control-label" })
                                    </div>
                                    <div class="col-sm-2">
                                        @Html.TextBoxFor(m => m.BillingPostalCode, new { @class = "form-control", @placeholder = "Billing Postal Code", id = "billingpostalcode", @maxlength = "20" })
                                    </div>
                                    <div class="col-sm-4">

                                        @Html.ValidationMessageFor(m => m.BillingPostalCode)
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-primary">
                            <div class="panel-heading" align="left">Payment Information</div>
                            <div class="panel-body">
                                <div class="form-group">
                                    @Html.LabelFor(m => m.CardNumber, "Card Number", new { @class = "col-sm-3 control-label", @placeholder = "Card Number" })
                                    <div class="col-sm-4">
                                        @Html.TextBoxFor(m => m.CardNumber, new { @class = "form-control", @placeholder = "Card Number", @maxlength = "16", @id = "TXTBXCARDNUM" })
                                    </div>
                                    <div class="col-sm-4" style="margin-top: 9px;">
                                        @Html.ValidationMessageFor(m => m.CardNumber)
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.Label("Expiration Month ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-2">

                                        @Html.DropDownListFor(m => m.ExpirationMonth, new SelectList(
                                                      new List<Object>{ 
                                                        new { value="", text = "Exp. Month" },
                                                        new { value="01", text = "01" },
                                                        new { value="02", text = "02" },
                                                        new { value="03", text = "03" },
                                                        new { value="04", text = "04" },
                                                        new { value="05", text = "05" },
                                                        new { value="06", text = "06" },
                                                        new { value="07", text = "07" },
                                                        new { value="08", text = "08" },
                                                        new { value="09", text = "09" },
                                                        new { value="10", text = "10" },
                                                        new { value="11", text = "11" },
                                                        new { value="12", text = "12" },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Month", @id = "DRPBXMONTH" })
                                        &nbsp;
                                            @Html.ValidationMessageFor(m => m.ExpirationMonth)
                                    </div>
                                    <div style="float: left; white-space: nowrap;" class="col-sm-2">
                                        @Html.Label("Expiration Year ", new { @class = "col-sm-2 control-label" })
                                    </div>
                                    <div class="col-sm-2">
                                        @Html.DropDownListFor(m => m.ExpirationYear, new SelectList(
                                                      new List<Object>{ 
                                                        new { value="", text = "Exp. Year" },
                                                        new { value=@DateTime.Now.Year, text = @DateTime.Now.Year.ToString() },
                                                        new { value=@DateTime.Now.AddYears(1).Year, text = @DateTime.Now.AddYears(1).Year },
                                                        new { value=@DateTime.Now.AddYears(2).Year, text = @DateTime.Now.AddYears(2).Year },
                                                        new { value=@DateTime.Now.AddYears(3).Year, text = @DateTime.Now.AddYears(3).Year },
                                                        new { value=@DateTime.Now.AddYears(4).Year, text = @DateTime.Now.AddYears(4).Year },
                                                        new { value=@DateTime.Now.AddYears(5).Year, text = @DateTime.Now.AddYears(5).Year },
                                                        new { value=@DateTime.Now.AddYears(6).Year, text = @DateTime.Now.AddYears(6).Year },
                                                        new { value=@DateTime.Now.AddYears(7).Year, text = @DateTime.Now.AddYears(7).Year },
                                                        new { value=@DateTime.Now.AddYears(8).Year, text = @DateTime.Now.AddYears(8).Year },
                                                        new { value=@DateTime.Now.AddYears(9).Year, text = @DateTime.Now.AddYears(9).Year },
                                                        new { value=@DateTime.Now.AddYears(10).Year, text = @DateTime.Now.AddYears(10).Year },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Year", @id = "DRPBXYEAR" })
                                        &nbsp;
                                            @Html.ValidationMessageFor(m => m.ExpirationYear)
                                        <div class="col-sm-10">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(m => m.CVC, "CVC ", new { @class = "col-sm-3 control-label" })
                                    <div class="col-sm-3">
                                        @Html.TextBoxFor(m => m.CVC, new { @class = "form-control", @placeholder = "CVC", @maxlength = "4", @id = "TXTBXCVC" })
                                    </div>
                                    <div class="col-sm-4" style="margin-top: 9px;">
                                        @Html.ValidationMessageFor(m => m.CVC)
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="panel">
                            <div class="panel-body">
                                <div class="form-group">
                                    <div class="col-sm-12" align="center">
                                        @Html.CheckBoxFor(m => m.AgreedToTermsOfService)
                                        @Html.LabelFor(m => m.AgreedToTermsOfService, "I have read and agree to Terms of service ")
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12" align="center">
                                        @Html.ValidationMessageFor(m => m.AgreedToTermsOfService)
                                        <input type="submit" value="Activate Account" id="activateButton" class="btn btn-primary btn-lg" />
                                    </div>
                                </div>
                            </div>
                        </div>

                    </fieldset>
                </div>
            }

            </div>
        </div>
    </div>
   </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
